<?php
/**
*	Recursive function to build a list of pages and subpages
*
*	@version:	0.2.6
*	@date:		2010-09-01
*	@author:	RuudE / Sare
*	@package:	Websitebaker - Modules: selection-picker
*	@state:		@dev
*
*
*/

function build_pagelist_n($parent, $this_page) {
      global $database, $links_spn;
      $iterated_parents = array(); // keep count of already iterated parents to prevent duplicates
 
      $table_pages = TABLE_PREFIX."pages";
      $table_sections = TABLE_PREFIX."sections";
 
      if ( $query_section_id = $database->query("
            SELECT s.section_id, s.module, s.namesection, p.link, p.page_title, p.page_id, p.level 
            FROM ".$table_sections." s 
            JOIN ".$table_pages." p ON (s.page_id = p.page_id) 
            WHERE p.parent = ".$parent." 
            ORDER BY p.level, p.position ASC")) {
            while($res = $query_section_id->fetchRow()) {
				  if ($res['namesection']!="") {
                  if ($res['module'] != 'section_picker_n') {
                        $links_spn[$res['section_id']] = $res['section_id'].'|'.str_repeat("  -  ",$res['level']).$res['page_title'].' (pID '.$res['page_id'].'): '.$res['namesection'].' ('.$res['module'].' / ID: '.$res['section_id'].')';
                  } else {
                        $links_spn[$res['section_id']] = '|'.str_repeat("  -  ",$res['level']).$res['page_title'].' (pID '.$res['page_id'].'): '.$res['namesection'].' ('.$res['module'].' / sID: '.$res['section_id'].')';
                  }
				  }
                  if (!in_array($res['page_id'], $iterated_parents)) {
                        build_pagelist_n($res['page_id'], $this_page);
                        $iterated_parents[] = $res['page_id'];
                  }
					  
            }
      }
}
 

?>